
Redmine - Patch #36757

Update Rails to 5.2.6.3

2022-03-11 13:49 - Vincent Robert

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version: 4.1.7   

Description

A new security release is available, and we should upgrade to Rails 5.2.6.3.

https://rubyonrails.org/2022/3/8/Rails-7-0-2-3-6-1-4-7-6-0-4-7-and-5-2-6-3-have-been-released

This release addresses CVE-2022-21831. A detailed explanation is available here: 

https://discuss.rubyonrails.org/t/cve-2022-21831-possible-code-injection-vulnerability-in-rails-active-storage/80199

Associated revisions

Revision 21454 - 2022-03-13 03:33 - Go MAEDA

Update Rails to 5.2.6.3 (#36757).

Revision 21455 - 2022-03-13 03:46 - Go MAEDA

Update Rails to 5.2.6.3 (#36757).

History

#1 - 2022-03-11 13:51 - Marius BĂLTEANU

Thanks!

We will do the update, but that component is not used in Redmine.

#2 - 2022-03-12 09:42 - Go MAEDA

- Target version set to 4.1.7

#3 - 2022-03-13 03:46 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Updated Rails. Thank you for reporting this.
